local menu = cheadle_api.ImGui.Menu("Universal Server Lagger", 0)
menu:SetSize(200, 100)
menu:SetPos(150, 150)

local button = cheadle_api.ImGui.Button(menu, "Activate lagger")
button:SetSize(130, 25)
button:SetPos(10, 35)
button:SetClickFunction(function()
  cheadle_api.Log("Button clicked")
local api = cheadle_api

local function spawnprop()
    api.channel.SendNetStringCmd("gm_spawn models/props_phx/construct/windows/window_curve360x2.mdl")
end

api.timer.Create("propspam", 0, 0, spawnprop)
end)

local button = cheadle_api.ImGui.Button(menu, "Stop lagger")
button:SetSize(130, 25)
button:SetPos(10, 60)
button:SetClickFunction(function()
  cheadle_api.Log("Button clicked2")
cheadle_api.timer.Remove("propspam")
end)